<html>
<head>
<title>Paging - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#files">Files</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Paging</div>  </div>
<div class="ingroups"><a class="el" href="group__Optional.html">Components</a></div></div><!--header-->
<div class="contents">

<p>Some details on paging component.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for Paging:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Paging.gif" border="0" alt="" usemap="#group____Paging"/>
<map name="group____Paging" id="group____Paging">
<area shape="rect" id="node1" href="group__Optional.html" title="Components" alt="" coords="5,68,101,98"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategyData.html">Ogre::Grid2DPageStrategyData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a> for <a class="el" href="classOgre_1_1Grid2DPageStrategy.html" title="Page strategy which loads new pages based on a regular 2D grid.">Grid2DPageStrategy</a>.  <a href="classOgre_1_1Grid2DPageStrategyData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid2DPageStrategy.html">Ogre::Grid2DPageStrategy</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> strategy which loads new pages based on a regular 2D grid.  <a href="classOgre_1_1Grid2DPageStrategy.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategyData.html">Ogre::Grid3DPageStrategyData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1PageStrategyData.html" title="Abstract marker class representing the data held against the PagedWorldSection which is specifically ...">PageStrategyData</a> for <a class="el" href="classOgre_1_1Grid3DPageStrategy.html" title="Page strategy which loads new pages based on a regular 3D grid.">Grid3DPageStrategy</a>.  <a href="classOgre_1_1Grid3DPageStrategyData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Grid3DPageStrategy.html">Ogre::Grid3DPageStrategy</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> strategy which loads new pages based on a regular 3D grid.  <a href="classOgre_1_1Grid3DPageStrategy.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Page.html">Ogre::Page</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> class.  <a href="classOgre_1_1Page.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContent.html">Ogre::PageContent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface definition for a unit of content within a page.  <a href="classOgre_1_1PageContent.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollection.html">Ogre::PageContentCollection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of the interface for a collection of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances.  <a href="classOgre_1_1PageContentCollection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentCollectionFactory.html">Ogre::PageContentCollectionFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define the interface to a factory class that will create subclasses of <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a>.  <a href="classOgre_1_1PageContentCollectionFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageContentFactory.html">Ogre::PageContentFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define the interface to a factory class that will create subclasses of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a>.  <a href="classOgre_1_1PageContentFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorld.html">Ogre::PagedWorld</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class represents a collection of pages which make up a world.  <a href="classOgre_1_1PagedWorld.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorldSection.html">Ogre::PagedWorldSection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a section of the <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> which uses a given <a class="el" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>, and which is made up of a generally localised set of <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> instances.  <a href="classOgre_1_1PagedWorldSection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PagedWorldSectionFactory.html">Ogre::PagedWorldSectionFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A factory class for creating types of world section.  <a href="classOgre_1_1PagedWorldSectionFactory.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageProvider.html">Ogre::PageProvider</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class that can be implemented by the user application to provide a way to retrieve or generate page data from a source of their choosing.  <a href="classOgre_1_1PageProvider.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageManager.html">Ogre::PageManager</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a> is the entry point through which you load all <a class="el" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> instances, and the place where <a class="el" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a> instances and factory classes are registered to customise the paging behaviour.  <a href="classOgre_1_1PageManager.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageStrategyData.html">Ogre::PageStrategyData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract marker class representing the data held against the <a class="el" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a> which is specifically used by the <a class="el" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>.  <a href="classOgre_1_1PageStrategyData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PageStrategy.html">Ogre::PageStrategy</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the interface to a strategy class which is responsible for deciding when <a class="el" href="classOgre_1_1Page.html" title="Page class.">Page</a> instances are requested for addition and removal from the paging system.  <a href="classOgre_1_1PageStrategy.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollection.html">Ogre::SimplePageContentCollection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1PageContentCollection.html" title="Definition of the interface for a collection of PageContent instances.">PageContentCollection</a> which just provides a simple list of <a class="el" href="classOgre_1_1PageContent.html" title="Interface definition for a unit of content within a page.">PageContent</a> instances.  <a href="classOgre_1_1SimplePageContentCollection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimplePageContentCollectionFactory.html">Ogre::SimplePageContentCollectionFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory class for <a class="el" href="classOgre_1_1SimplePageContentCollection.html" title="Specialisation of PageContentCollection which just provides a simple list of PageContent instances...">SimplePageContentCollection</a>.  <a href="classOgre_1_1SimplePageContentCollectionFactory.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="files"></a>
Files</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePageFileFormats_8h.html">OgrePageFileFormats.h</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><p>The paging file format is a composite one - a single file / stream can contain data which is not necessarily all read by a single class. </p>
<br/></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Ogre::Grid2DMode</a> { <a class="el" href="group__Paging.html#gga725e3c2dccf1dbcec4a12f165681317caf8642c1227dd868584dc53f3edfc65ce">Ogre::G2D_X_Z</a> =  0, 
<a class="el" href="group__Paging.html#gga725e3c2dccf1dbcec4a12f165681317ca8bd62cc6b4ce83a9bd8bc84da5600d9b">Ogre::G2D_X_Y</a> =  1, 
<a class="el" href="group__Paging.html#gga725e3c2dccf1dbcec4a12f165681317ca6d3b2d3c9720ebf2ab1b24fc3d1bfb18">Ogre::G2D_Y_Z</a> =  2
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The 2D grid mode.  <a href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">More...</a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<p>Some details on paging component. </p>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga725e3c2dccf1dbcec4a12f165681317c"></a><!-- doxytag: member="Ogre::Grid2DMode" ref="ga725e3c2dccf1dbcec4a12f165681317c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Paging.html#ga725e3c2dccf1dbcec4a12f165681317c">Ogre::Grid2DMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The 2D grid mode. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga725e3c2dccf1dbcec4a12f165681317caf8642c1227dd868584dc53f3edfc65ce"></a><!-- doxytag: member="G2D_X_Z" ref="gga725e3c2dccf1dbcec4a12f165681317caf8642c1227dd868584dc53f3edfc65ce" args="" -->G2D_X_Z</em>&nbsp;</td><td>
<p>Grid is in the X/Z plane. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga725e3c2dccf1dbcec4a12f165681317ca8bd62cc6b4ce83a9bd8bc84da5600d9b"></a><!-- doxytag: member="G2D_X_Y" ref="gga725e3c2dccf1dbcec4a12f165681317ca8bd62cc6b4ce83a9bd8bc84da5600d9b" args="" -->G2D_X_Y</em>&nbsp;</td><td>
<p>Grid is in the X/Y plane. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga725e3c2dccf1dbcec4a12f165681317ca6d3b2d3c9720ebf2ab1b24fc3d1bfb18"></a><!-- doxytag: member="G2D_Y_Z" ref="gga725e3c2dccf1dbcec4a12f165681317ca6d3b2d3c9720ebf2ab1b24fc3d1bfb18" args="" -->G2D_Y_Z</em>&nbsp;</td><td>
<p>Grid is in the Y/Z plane. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreGrid2DPageStrategy_8h_source.html#l00050">50</a> of file <a class="el" href="OgreGrid2DPageStrategy_8h_source.html">OgreGrid2DPageStrategy.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
